Subject: bug#25706: 26.0.50; Slow C file fontification

From: Mattias Engdegård <[email-masked]>
Date: Tue, 1 Dec 2020 15:07:02 +0100

1 dec. 2020 kl. 13.57 skrev Alan Mackenzie <[email-masked]>:

> Just something I threw together a few years ago, and use regularly on
> xdisp.c to check nothing's gone seriously slow/see how well my latest
> optimisation has worked.

Thank you, good, I just wanted to know that we are measuring the same thing!

> How much time does this regexp change save on a "normal" file, such as
> src/xdisp.c?

Not much, but clearly measurable -- about 1.5 % (scrolling benchmark).

What can be done for big files that mainly consist of preprocessor definitions?